Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		mjpegtools
Version:	1.9.0
Release:	10
BuildArch:	i686
License:	GNU/GPL 
URL:		http://mjpeg.sourceforge.net/
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Tools for recording, editing, playing back and mpeg-encoding video under linux.
Prereq(post,preun): /sbin/install-info

# Sources
Source0:	%{name}-%{version}.tar.gz

# Patches
Patch0:		mjpegtools-cpuinfo.patch
Patch1:		mjpegtools-includes.patch
Patch2:		mjpegtools-getopt.patch
Patch3:		mjpegtools-writeable_strings.patch
Patch4: 	mjpegtools-1.9.0-constcharp.patch

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: DirectFB-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libdv-devel
BuildRequires: libgcc
BuildRequires: libjpeg6-devel
BuildRequires: libpng-devel
BuildRequires: libquicktime-devel >= 1.1.3-2 libquicktime >= 1.1.3-2
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: SDL-devel
BuildRequires: SDL_gfx-devel
BuildRequires: sysfsutils-devel
BuildRequires: zlib-devel

%description
The MJPEG-tools are a basic set of utilities for recording, editing, 
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.
For more details see: http://mjpeg.sourceforge.net/

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
/sbin/install-info %_infodir/mjpeg-howto.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %_infodir/mjpeg-howto.info.gz %_infodir/dir
fi 

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0
#%patch1 -p0
%patch2 -p1
%patch3 -p1
echo "" > cpuinfo.sh
%patch4 -p1

%build
export CPPFLAGS="%{optflags} -fpermissive -pthread"
export CFLAGS="%{optflags} -fpermissive -pthread"
# Building mjpegtools
./configure --prefix=%_prefix \
--enable-large-file \
--mandir=$RPM_BUILD_ROOT%_mandir \
--infodir=$RPM_BUILD_ROOT%_infodir --disable-simd-accel
make

%install
make prefix=$RPM_BUILD_ROOT%_prefix INSTALL_INFO= install

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_infodir
%_mandir

%files devel
%defattr(-,root,root)
%_pkgconfig
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 27 2009 Christian Metzen <metzench@ccux-linux.de> 1.9.0-10
- build against libjpeg6, jpeg7 doesnt work properly here for now
* Sat Dec 26 2009 Christian Metzen <metzench@ccux-linux.de> 1.9.0-9
- disable simd-accel
* Wed Dec 09 2009 Christian Metzen <metzench@ccux-linux.de> 1.9.0-8
- rebuild
* Sun Jul 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.9.0-7
- rebuilt against libjpeg 7
* Sun Apr 18 2009 Christian Metzen <metzench@ccux-linux.de> 1.9.0-6
- rebuild against DirectFB-1.3.0
* Thu Jan 09 2009 Christian Wasem <wasem@ccux-linux.de> 1.9.0-5
- switch to 1.9.0 final
* Mon Jun 23 2008 Christian Wasem <wasem@ccux-linux.de> 1.9.0-4
- rebuild against new SDL_gfx
* Sun May 13 2007 Christian Metzen <metzench@ccux-linux.de> 1.9.0-3
- backstep to rc1 because mpeg2enc is broken in rc2
* Sun May 13 2007 Christian Metzen <metzench@ccux-linux.de> 1.9.0-2
- added lowered build flags
* Thu Mar 22 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.9.0-1
- Version Update to rc2
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.8.0-2
- Moved necessary files to main package
* Mon Sep 26 2005 Christian Wasem <wasem@ccux-linux.de> 1.8.0-1
- Update to Version 1.8.0
